data:extend({
    {
        type = "assembling-machine",
        name = "player-tunnel",
        icon = "__player-tunnels__/graphics/tunnel-icon.png",
        flags = {"placeable-neutral", "placeable-player", "player-creation"},
        minable = {hardness = 0.3, mining_time = 0.8, result = "player-tunnel"},
        max_health = 150,
        corpse = "small-remnants",
        dying_explosion = "medium-explosion",
        collision_box = {{-0.8, -0.8}, {0.8, 0.8}},
        selection_box = {{-0.8, -0.8}, {0.8, 0.8}},
        module_specification =
        {
            module_slots = 0
        },
        animation =
        {
            north =
            {
                filename = "__player-tunnels__/graphics/tunnel-north.png",
                width = 64,
                height = 64,
                frame_count = 1
            },
            west =
            {
                filename = "__player-tunnels__/graphics/tunnel-west.png",
                width = 64,
                height = 64,
                frame_count = 1
            },
            south =
            {
                filename = "__player-tunnels__/graphics/tunnel-south.png",
                width = 64,
                height = 64,
                frame_count = 1
            },
            east =
            {
                filename = "__player-tunnels__/graphics/tunnel-east.png",
                width = 64,
                height = 64,
                frame_count = 1
            }
        },
        vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
        crafting_speed = 0.01,
        crafting_categories = {},
        energy_source =
        {
            type = "electric",
            usage_priority = "secondary-input",
            emissions = 0 / 0
        },
        energy_usage = "12KW",
        ingredient_count = 0,
        fluid_boxes =
        {
            {
                production_type = "input",
                base_area = 10,
                base_level = -1,
                pipe_connections = {}
            },
            {
                production_type = "input",
                base_area = 10,
                base_level = -1,
                pipe_connections = {}
            },
            {
                production_type = "output",
                base_area = 10,
                base_level = 1,
                pipe_connections = {}
            },
            {
                production_type = "output",
                base_area = 10,
                base_level = 1,
                pipe_connections = {}
            }
        }
    }
})

